%define	name_base	libgconf-java

Summary:	Java bindings for GConf
Name:		%{name_base}
Version:	2.12.4
Release: 	14%{?dist}
License:	LGPLv2
Group:		Development/Libraries
URL:		http://java-gnome.sourceforge.net
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/2.12/%{name_base}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch:		%{name}-gjavah.patch

Requires:	GConf2 >= 2.11.2
Requires:	glib-java >= 0.2.6
BuildRequires:	glib-java-devel >= 0.2.6
BuildRequires:  GConf2-devel >= 2.11.2, gcc-java >= 4.1.1
BuildRequires:  docbook-utils
# We need javadoc:
BuildRequires:	java-devel

# Currently, the configure script checks for libgtk-java.
# See gnome bugs #347254, #350931
BuildRequires:	libgtk-java-devel >= 2.8.4

%description
libgconf-java is a language binding that allows developers to use the
GConf APIs from Java applications.  It is part of Java-GNOME.

%package        devel
Summary:	Compressed Java source files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel
Requires:	glib-java-devel

%description    devel
Development part of %{name}.

%prep
%setup -q -n %{name_base}-%{version}
%patch
touch aclocal.m4
touch configure Makefile.in

%build
# Two workarounds:
# 1) libtool.m4 calls gcj with $CFLAGS and gcj seems to choke on -Wall.
# 2) libtool does not use pic_flag when compiling, so we have to force it.
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wall /}
%configure CFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="-O2 -fPIC"

make %{?_smp_mflags}

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip

# fix up the modification date of generated documentation
find doc -type f -newer ChangeLog | xargs touch -r ChangeLog

%install
rm -rf %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name_base}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fi

# Remove unpackaged files:
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | sed 's/-.*//;s/^lib//')
zipfile=$jarname$jarversion-src-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $jarname$jarversion-src.zip)


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgconfjava-*.so
%{_libdir}/libgconfjni-*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%doc doc/api doc/examples
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgconfjava.so
%{_libdir}/libgconfjni.so
%{_datadir}/java/*.zip

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Alex Lancaster <alexlan[AT] fedoraproject org> - 2.12.4-12
- Rebuild for new GCC 4.4 to fix broken deps

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.12.4-11
- fix license tag

* Fri Feb  1 2008 Stepan Kasal <skasal@redhat.com> - 2.12.4-10
- rebuild for new gcc

* Fri Apr 20 2007 Stepan Kasal <skasal@redhat.com> - 2.12.4-9
- Adhere to packaging guidelines.
- Resolves: #226007

* Wed Mar 21 2007 Stepan Kasal <skasal@redhat.com> - 2.12.4-8
- BuildRequire java-devel instead of java-1.4.2-gcj-compat-devel.

* Mon Mar  5 2007 Stepan Kasal <skasal@redhat.com> - 2.12.4-7
- Add patch for gcjh -> gjavah; touch aclocal.m4, configure, Makefile.in
  after applying it.
- Force -fPIC and avoid -Wall with gcj/ecj.

* Wed Feb 21 2007 Andrew Overholt <overholt@redhat.com> 2.12.4-6
- Rebuild for new gcj.

* Tue Oct 17 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-5
- Fix multilib conflicts in %%{docdir}. (#210567)
- Move development documentation to -devel.

* Thu Oct  5 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-4
- Fix the source packing: preserve source timestamps and prevent multilib
  conflicts. (#192701)

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-3
- Do not pack the *.la files.
- Move the *.so symlinks to -devel.

* Sun Aug 13 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-2
- Fix the description of the -devel package.

* Sun Aug 13 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-1
- New upstream version.
- Use the %%{?dist} tag.
- Use `make %%{?_smp_mflags}'.
- The -devel subpackage now requires several -devel packages.
- Update requires and buildrequires.
- Remove macros c_pkg_prefix and java_pkg_prefix and the code for optional
  instalation under /opt/frysk prefix.

* Sun Jul 23 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.12.3-3
- Bump release number. (dist-fc6-java)

* Sun Jul 16 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-2
- Move the pkgconfig file to the devel package.
- BuildRequire docbook-utils and java-1.4.2-gcj-compat-devel
- BuildReq gtk2-devel (a temporary workaround).

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-1
- New upstream version.
- Build on s390x again.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1.0.20060301.rh1-2.1
- rebuild

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.1.0.20060301.rh1-2
- Change mod time of all java source files for the src zip.

* Tue May 23 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.1.0.20060301.rh1-1
- Add -X to src zip and ensure Config.java has the same mod time across
  platforms - needed for multilib.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 2.12.1.0.20060301.rh1-0
- Imported new tarball to address bg #183538, updated dependancies.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 2.12.1-2
- rebuilt again

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com> - 2.12.1-1.2
- rebuilt

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 2.12.1-1
- Updated to released 2.12.1 sources from upstream.
- Excluded s390x.

* Wed Oct 05 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-2
- Imported released 2.12.0 source from upstream.
- Changed optional installation prefix to /opt/frysk from /opt.
- Added dependency for libgtk-java.

* Sat Sep 24 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-1
- Imported libgconf-2.12.0 from upstream.  

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-3
- Fix permissions on src zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-2
- Add compressed java source to devel package.

* Mon Apr 11 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libgconf-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libgconf-java 2.10.0.

* Sat Mar  5 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Import libgconf-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libgconf-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libgconf-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libgconf-java 2.9.90.

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources
- Update libgconf-java-install.patch and libgconf-java-jar.patch

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.0-1
- Initial release.
